<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/DocBook/Syntax/Syntax.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.DocBook.Syntax.Syntax</title>
<link href="../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../Synopsis.html" >Synopsis</a>.<a href="../../../Formatters.html" >Formatters</a>.<a href="../../DocBook.html" >DocBook</a>.<a href="../Syntax.html" >Syntax</a>
</div><div class="class-name">class Syntax

</div><div class="links"><div class="file">File: <a href="../../../../../File/Synopsis/Formatters/DocBook/Syntax.py.html" target="detail">../Synopsis/Formatters/DocBook/Syntax.py</a></div> <div class="xref"><a href="../../../../../XRef/xref8.html#Synopsis.Formatters.DocBook.Syntax.Syntax" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line16" ><img src="../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Syntax-inheritance" src="Syntax-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Syntax-inheritance_map" />
<map name="Syntax-inheritance_map"><area alt="Scopes/Synopsis/Formatters/DocBook/Syntax/CxxSyntax.html" href="CxxSyntax.html" shape="rect" coords="5, 81, 301, 105" />
<area alt="Scopes/Synopsis/Formatters/DocBook/Syntax/PythonSyntax.html" href="PythonSyntax.html" shape="rect" coords="325, 81, 640, 105" />
<area alt="Scopes/Synopsis/SXR/SXR.html" href="../../../SXR/SXR.html" shape="rect" coords="664, 81, 795, 105" />
<area alt="Scopes/Synopsis/Formatters/HTML/Views/InheritanceGraph/DeclarationFinder.html" href="../../HTML/Views/InheritanceGraph/DeclarationFinder.html" shape="rect" coords="819, 81, 1237, 105" />
</map>
 <div class="doc">Even though DocBook provides markup for some programming artifacts&#44;
    it is incomplete&#44; and the XSL stylesheets are buggy&#44; resulting in
    incorrect syntax. Thus&#44; we use the 'synopsis' element&#44; and attempt to
    reproduce the original syntax with language-specific subclasses.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="output">output</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line24" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="variable">output</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref8.html#Synopsis.Formatters.DocBook.Syntax.Syntax.__init__" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line22" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="finish">finish</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref8.html#Synopsis.Formatters.DocBook.Syntax.Syntax.finish" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line26" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="typeid">typeid</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref8.html#Synopsis.Formatters.DocBook.Syntax.Syntax.typeid" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line28" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:00 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
